Subject: Re: [OOPS] bcm43xx oops on 2.6.20-rc1 on x86_64

From: Adrian Bunk <[email-masked]>
Date: Sun, 31 Dec 2006 14:43:02 +0100

On Sat, Dec 30, 2006 at 04:45:21PM -0600, Larry Finger wrote:
> Adrian Bunk wrote:
> > On Sat, Dec 30, 2006 at 03:23:42PM -0600, Larry Finger wrote:
> >> Adrian Bunk wrote:
> >>> On Sun, Dec 17, 2006 at 03:15:28PM -0500, Aaron Sethman wrote:
> >>>> Just was loading the bcm43xx module and got the following oops. Note that 
> >>>> this card is one of the newer PCI-E cards.  If any other info is needed 
> >>>> let me know.
> >>> Is this issue still present in 2.6.10-rc2-git1?
> >>>
> >>> If yes, was 2.6.19 working fine?
> >> ...
> >>
> >> Any oops involving wireless extensions is due to 2.6.20-rc1 and -rc2 not having the fix for softmac
> >> that is necessitated by the 2.6.20 changes in the work structure.
> > 
> > "Any oops" are very strong words.
> 
> Yes - but I have seen at least 7 or 8 different occurrences of that bug since the patch was first
> made available on Dec. 10, and I have seen no bcm43xx oopses from any other cause.
>...

To avoid any misunderstandings:

This wasn't in any way meant against you personally.

And in this case you were right, it was the same bug.

My answer was based on experiences like one during 2.6.19-rc where we 
had 4 bug reports for a regression with a patch available. And it turned 
out that one of them was for a completely different regression.

That's why I prefer to get confirmations that a user actually run into 
the same issue, and not into something completely different with similar 
symptoms.

> Larry

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed